package com.gzlh.api;

import com.gzlh.config.ModuleEnum;
import com.gzlh.event.EventBus;
import com.gzlh.led.event.LedDefaultEvent;
import com.gzlh.utils.ResultJson;
import com.gzlh.weighbridge.event.WeighbridgeEvent;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("open")
public class OpenApi {



    @Resource
    EventBus eventBus;

    @RequestMapping("test")
    public ResultJson test(){
        eventBus.start(ModuleEnum.LED_MODULE.getModuleEn()+"."+ LedDefaultEvent.READ);
        eventBus.start(ModuleEnum.WEIGHBRIDGE_MODULE.getModuleEn()+"."+ WeighbridgeEvent.READ);
        return ResultJson.success();
    }
}
