package com.gzlh.job;

import cn.hutool.http.HttpUtil;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CleanTask implements Runnable {
    private String serverUrl;
    private String channelName;

    public CleanTask(String serverUrl, String channelName) {
        this.serverUrl = serverUrl;
        this.channelName = channelName;
    }

    @Override
    public void run() {
        log.info("clean weight req:{}", channelName);
        HttpUtil.get(serverUrl + "/open/cleanWeighbridge?channel=" + channelName);
        log.info("clean finish");
    }
}
